Frag Ops 2.1 segfaults when installing

Need help with one of the installers?
Post Reply
zeb

Frag Ops 2.1 segfaults when installing

Post by zeb » Thu Nov 18, 2004 10:27

Hi, when I try to install Frag Ops, I get this problem :

# ./frag.ops_2.1-english.run
Verifying archive integrity... All good.
Uncompressing Frag.Ops 2.1-english Installer..........................................................
Version Check: Ok

{there it begins installation]

./setup.sh: line 268: 16912 Segmentation fault "$setup" "$@"

It does it after having begun the installation of files, but does not complete.
md5sum is correct, and I tried installing it two times. Other installers work correctly.
Any idea ?

Asaru

Post by Asaru » Thu Nov 18, 2004 11:52

i dont know what happened there.. i'm reuploading all installers right now..

zeb

Post by zeb » Thu Nov 18, 2004 12:30

Asaru wrote:i dont know what happened there.. i'm reuploading all installers right now..


Thank you.
When you say "all installers" you mean all have been rebuilt again ?

Guest

Post by Guest » Thu Nov 18, 2004 12:35

hehe i mean all 3GB of ut2k4 mod installers ;)
only Shattered Oasis and Troopers left out..
later this day i wanted to build these two installers with new content


just a guess
pls check your tmp space
df -h
to look how much tempo space you have left ..

pls also try this ;)
export TMPDIR=/where/you/have/lots/of/freespace
sh frag.ops_....run

maybe this fixes something..
some newer distros are using RAM for tmp.. this could be too lees for some installers

zeb

Post by zeb » Thu Nov 18, 2004 12:48

Hi,
I have enough free space (several gigs), but I shall check again.

Also, the only way to check if an installer has been rebuilt is to check the md5sums. Would it be possible to add the build number to the file name ? so that when an installer is changed, it could be easily spotted.
Another request : is it possible to show the md5sums directly on the download page, or at least have all md5sums on one file ?

Thanks.

zeb

Post by zeb » Thu Nov 18, 2004 16:35

Hi,

I just downloaded and tried the new frag.ops_2.1-english-1.run and this time it installed correctly. Sweet ! Thanks for adding the -1 for the build version.

Thanks.

Asaru

Post by Asaru » Thu Nov 18, 2004 16:39

k great ;)
if you find any bugs i'm happy to get them fixed ;) most of the time i dont have them for me here :) hehe dunno.. maybe i had it, but havent noticed *gg*

Post Reply